# Gimp.Image.add_hguide

    @accepts(Gimp.Image, int)
    @returns(int)
    def add_hguide(self, yposition):
        # Python wrapper for gimp_image_add_hguide()

Add a horizontal guide to an image.

This procedure adds a horizontal guide to an image. It takes the input image and the y-position of the new guide as parameters. It returns the guide ID of the new guide.

self

  The image.

yposition

  The guide's y-offset from top of image.

Returns